// ignore: unused_import
// import 'package:data_connect/data_connect.dart'; 
import '../../domain/entities/payment_summary.dart';
import '../../domain/entities/payment_transaction.dart';
import '../../domain/repositories/payments_repository.dart';
import '../datasources/payments_remote_datasource.dart';

class PaymentsRepositoryImpl implements PaymentsRepository {
  final PaymentsRemoteDataSource remoteDataSource;

  PaymentsRepositoryImpl({required this.remoteDataSource});

  @override
  Future<PaymentSummary> getPaymentSummary() async {
    return await remoteDataSource.fetchPaymentSummary();
  }

  @override
  Future<List<PaymentTransaction>> getPaymentHistory(String period) async {
    return await remoteDataSource.fetchPaymentHistory(period);
  }
}
